﻿using IMAPI2FS;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Runtime.InteropServices.ComTypes;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;
using System.Windows.Forms;
using MyISO.ViewModel;

namespace MyISO
{
    /// <summary>
    /// Logique d'interaction pour MainWindow.xaml
    /// </summary>   
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void TbISOPath_MouseUp(object sender, MouseButtonEventArgs e)
        {
            SaveFileDialog saveDialog = new SaveFileDialog();
            saveDialog.Filter = "Iso Files (*.iso)|*.iso";
            saveDialog.SupportMultiDottedExtensions = false;
            saveDialog.AddExtension = true;
            DialogResult res = saveDialog.ShowDialog();
            if (res == System.Windows.Forms.DialogResult.OK)
            {
                MainViewModel mvm = (MainViewModel)this.DataContext;
                mvm.ISOPath = saveDialog.FileName;
            }
        }

        private void Label_MouseUp(object sender, MouseButtonEventArgs e)
        {
            SaveFileDialog saveDialog = new SaveFileDialog();
            saveDialog.Filter = "Iso Files (*.iso)|*.iso";
            saveDialog.SupportMultiDottedExtensions = false;
            saveDialog.AddExtension = true;
            DialogResult res = saveDialog.ShowDialog();
            if (res == System.Windows.Forms.DialogResult.OK)
            {
                MainViewModel mvm = (MainViewModel)this.DataContext;
                mvm.ISOPath = saveDialog.FileName;
            }
        }

        private void TbVolumeName_TextChanged(object sender, TextChangedEventArgs e)
        {
            MainViewModel mvm = (MainViewModel)this.DataContext;
            mvm.VolumeName = TbVolumeName.Text;
        }
    }
}
